(in-package :my-package)
(use-package :oli)

(defun inq-obj-tree-list
(obj)
(cons obj 
(apply #'nconc (mapcar #'inq-obj-tree-list (sd-inq-obj-children obj))) )
)

(sd-defdialog 'assy_cross_sections 
	:dialog-title "Sezione"
	:variables
	'(
	(result :initial-value nil)
	(ASSYS :title "Gruppo"
	:prompt-text "Selezionare uno o piu' assiemi da sezionare."
	:value-type :assembly
	:multiple-items t
	:initial-value nil
	:modifies :contents
	:after-input (dolist (one_assy assys)
	(setq result
		(append (remove-if-not 'sd-inq-part-p (inq-obj-tree-list one_assy))result)))
	)
	(M_WP :title "Piano di Lav."
	:value-type :wp
	:multiple-items t
	:prompt-text "Selezionare uno o piu' piani di sezione")
	)
	:start-variable 'ASSYS 		
	:dialog-type  :terminate
	:exception '(sd-call-cmds (undo :BACKWARD :NUM_STEPS 1))
	:prompt-text "Selezionare uno o piu' assiemi da sezionare."
	:ok-action
'(progn	(when (AND ASSYS M_WP)
	(dolist (single_wp M_WP)
	(loop for (single_part) on 
	result
	do
(progn
	(unless (sd-inq-workplane-p single_part)
	(sd-call-cmds (cross_section 	
	:cross_section_part single_part
	:cross_section_wp single_wp))
)))))))
	