;;Forature filettate metriche
;;---Parducci Stefano ---- 20 novembre 2003----


;;---Revisione 1.1 ---28 novembre 2003
;;Aggiunto filettatura gas e corretto tabella fori parzialmente filettati---


;;--------Revisione 1.0--20 novembre 2003
;;--------Funzionalita' Unsupported-----






(in-package :cad-cam-link-customization)
;;
;;----	To use the Integration Kit functionality, you have to use the
;;	package 'oli' which contains all the functions of the Integration Kit
;;----	and stands for Open-Lisp-Interface
;; 
(use-package :oli)
;;

;;Azzeramento tabelle filettatura esistenti;;


;(sd-destroy-logical-table "mach_adv_library-tappedholes-tap-table")

;(sd-destroy-logical-table "mach_adv_library-tappedholes-thread_dia-table")


;; 1. 	Coloumn Name : Description
;;    	Key          : :description
;;    	Type	     : string
;;  	Unit	     : nil
		
;; 2. 	Coloumn Name : Tap Units
;;    	Key          : :tap_units
;;    	Type	     : string
;;  	Unit	     : nil

;; 3. 	Coloumn Name : Diametro filettatura
;;    	Key          : :thread_dia
;;    	Type	     : :number
;;  	Unit	     : :mm

;; 4. 	Coloumn Name : Passo filettatura
;;    	Key          : :thread_size
;;    	Type	     : :number
;;  	Unit	     : nil

;; 5. 	Coloumn Name : Diametro nominale filetto
;;    	Key          : :nominal_pipe_dia
;;    	Type	     : :number
;;  	Unit	     : :mm

;; 6. 	Coloumn Name : Diametro preforo
;;    	Key          : :dril_dia
;;    	Type	     : :number
;;  	Unit	     : :mm

;; 7. 	Coloumn Name : Profondita' smusso
;;    	Key          : :chamfer_depth
;;    	Type	     : :number
;;  	Unit	     : :mm

;; 8. 	Coloumn Name : Angolo smusso
;;    	Key          : :chamfer_angle
;;    	Type	     : :angle
;;  	Unit	     : nil

;; 9. 	Coloumn Name : Profondita' smusso post
;;    	Key          : :back_chamfer_depth
;;    	Type	     : :number
;;  	Unit	     : :mm

;; 10. 	Coloumn Name : Angolo smusso post
;;    	Key          : :back_chamfer_angle
;;    	Type	     : :angle
;;  	Unit	     : nil

;; 11. 	Coloumn Name : Profondita' filettatura
;;    	Key          : :tap_depth
;;    	Type	     : :number
;;  	Unit	     : nil



;; 
;;Creazione tabelle fori filettati personalizzate;;;

(sd-create-logical-table "mach_adv_library-tappedholes-tap-table"


		:columns '( :description :tap_units :thread_dia :thread_size :nominal_pipe_dia :drill_dia :chamfer_depth :chamfer_angle :back_chamfer_depth :back_chamfer_angle :tap_depth )
		:columnNames '( "Filetto" "Tap Units"  "Diametro filettatura" "Passo filettatura" "Diametro nominale filetto" "Diametro preforo" "Profondita' smusso"  "Angolo smusso" "Profondita' smusso post" "Angolo smusso post" "Profondita' filetto" )
		:types '(:string :string  :number :number :number :number :number :angle :number :angle :number )
		:units '(nil nil :mm :nil :mm :mm :mm :deg :mm  :deg :mm )
		:contents '(
("M1.8"	"metric"	1.8	0.35	1.8	1.45	0.101036297	120	0.101036297	120	5)
("M2"	"metric"	2	0.4	2	1.6	0.115470054	120	0.115470054	120	5)
("M2.2"	"metric"	2.2	0.45	2.2	1.75	0.129903811	120	0.129903811	120	5)
("M2.5"	"metric"	2.5	0.45	2.5	2.05	0.129903811	120	0.129903811	120	5)
("M2.5x0.35"	"metric"	2.5	0.35	2.5	2.15	0.101036297	120	0.101036297	120	5)
("M3"	"metric"	3	0.5	3	2.5	0.144337568	120	0.144337568	120	5)
("M3x0.35"	"metric"	3	0.35	3	2.65	0.101036297	120	0.101036297	120	5)
("M3.5"	"metric"	3.5	0.6	3.5	2.9	0.173205081	120	0.173205081	120	5)
("M3.5x0.35"	"metric"	3.5	0.35	3.5	3.15	0.101036297	120	0.101036297	120	5)
("M4"	"metric"	4	0.7	4	3.3	0.202072595	120	0.202072595	120	5)
("M4x0.5"	"metric"	4	0.5	4	3.5	0.144337568	120	0.144337568	120	5)
("M4.5"	"metric"	4.5	0.75	4.5	3.75	0.216506351	120	0.216506351	120	5)
("M4.5x0.5"	"metric"	4.5	0.5	4.5	4	0.144337568	120	0.144337568	120	5)
("M5"	"metric"	5	0.8	5	4.2	0.230940108	120	0.230940108	120	5)
("M5x0.5"	"metric"	5	0.5	5	4.5	0.144337568	120	0.144337568	120	5)
("M6"	"metric"	6	1	6	5	0.288675135	120	0.288675135	120	5)
("M6x0.75"	"metric"	6	0.75	6	5.25	0.216506351	120	0.216506351	120	5)
("M7"	"metric"	7	1	7	6	0.288675135	120	0.288675135	120	5)
("M7x0.75"	"metric"	7	0.75	7	6.25	0.216506351	120	0.216506351	120	5)
("M8"	"metric"	8	1.25	8	6.75	0.360843919	120	0.360843919	120	5)
("M8x1"	"metric"	8	1	8	7	0.288675135	120	0.288675135	120	5)
("M9"	"metric"	9	1.25	9	7.75	0.360843919	120	0.360843919	120	5)
("M10"	"metric"	10	1.5	10	8.5	0.433012703	120	0.433012703	120	5)
("M10x1.25"	"metric"	10	1.25	10	8.8	0.360843919	120	0.360843919	120	5)
("M11"	"metric"	11	1.5	11	9.5	0.433012703	120	0.433012703	120	5)
("M12"	"metric"	12	1.75	12	10.25	0.505181486	120	0.505181486	120	5)
("M12x1.25"	"metric"	12	1.25	12	10.8	0.360843919	120	0.360843919	120	5)
("M14"	"metric"	14	2	14	12	0.57735027	120	0.57735027	120	5)
("M14x1.5"	"metric"	14	1.5	14	12.5	0.433012703	120	0.433012703	120	5)
("M16"	"metric"	16	2	16	14	0.57735027	120	0.57735027	120	5)
("M16x1.5"	"metric"	16	1.5	16	14.5	0.433012703	120	0.433012703	120	5)
("M18"	"metric"	18	2.5	18	15.5	0.721687838	120	0.721687838	120	5)
("M18x1.5"	"metric"	18	1.5	18	16.5	0.433012703	120	0.433012703	120	5)
("M20"	"metric"	20	2.5	20	17.5	0.721687838	120	0.721687838	120	5)
("M20x1.5"	"metric"	20	1.5	20	18.5	0.433012703	120	0.433012703	120	5)
("M22"	"metric"	22	2.5	22	19.5	0.721687838	120	0.721687838	120	5)
("M22x1.5"	"metric"	22	1.5	22	20.5	0.433012703	120	0.433012703	120	5)
("M24"	"metric"	24	3	24	21	0.866025405	120	0.866025405	120	5)
("M24x2"	"metric"	24	2	24	22	0.57735027	120	0.57735027	120	5)
("M27"	"metric"	27	3	27	24	0.866025405	120	0.866025405	120	5)
("M27x2"	"metric"	27	2	27	25	0.57735027	120	0.57735027	120	5)
("M30"	"metric"	30	3.5	30	26.5	1.010362973	120	1.010362973	120	5)
("M30x2"	"metric"	30	2	30	28	0.57735027	120	0.57735027	120	5)
("M33"	"metric"	33	3.5	33	29.5	1.010362973	120	1.010362973	120	5)
("M33x2"	"metric"	33	2	33	31	0.57735027	120	0.57735027	120	5)
("M36"	"metric"	36	4	36	32	1.15470054	120	1.15470054	120	5)
("M36x3"	"metric"	36	3	36	33	0.866025405	120	0.866025405	120	5)
("M39"	"metric"	39	4	39	35	1.15470054	120	1.15470054	120	5)
("M39x3"	"metric"	39	3	39	36	0.866025405	120	0.866025405	120	5)
("M42"	"metric"	42	4.5	42	37.5	1.299038108	120	1.299038108	120	5)
("M42x3"	"metric"	42	3	42	39	0.866025405	120	0.866025405	120	5)
("M45"	"metric"	45	4.5	45	40.5	1.299038108	120	1.299038108	120	5)
("M45x3"	"metric"	45	3	45	42	0.866025405	120	0.866025405	120	5)
("M48"	"metric"	48	5	48	43	1.443375675	120	1.443375675	120	5)
("M48x3"	"metric"	48	3	48	45	0.866025405	120	0.866025405	120	5)
("M52"	"metric"	52	5	52	47	1.443375675	120	1.443375675	120	5)
("M52x3"	"metric"	52	3	52	49	0.866025405	120	0.866025405	120	5)
("M56"	"metric"	56	5.5	56	50.5	1.587713243	120	1.587713243	120	5)
("M60"	"metric"	60	5.5	60	54.5	1.587713243	120	1.587713243	120	5)
("M64"	"metric"	64	6	64	58	1.73205081	120	1.73205081	120	5)
("M68"	"metric"	68	6	68	62	1.73205081	120	1.73205081	120	5)
										
										
("1/8 Gas"	"G"	9.73	0.907	9.73	8.57	0.261828347	120	0.261828347	120	5)
("1/4 Gas"	"G"	13.16	1.337	13.16	11.45	0.385958655	120	0.385958655	120	5)
("3/8 Gas"	"G"	16.66	1.337	16.66	14.95	0.385958655	120	0.385958655	120	5)
("1/2 Gas"	"G"	20.96	1.814	20.96	18.63	0.523656695	120	0.523656695	120	5)
("5/8 Gas"	"G"	22.91	1.814	22.91	20.59	0.523656695	120	0.523656695	120	5)
("3/4 Gas"	"G"	26.44	1.814	26.44	24.12	0.523656695	120	0.523656695	120	5)
("7/8 Gas"	"G"	30.2	1.814	30.2	27.88	0.523656695	120	0.523656695	120	5)
("1 Gas"	"G"	33.25	2.309	33.25	30.29	0.666550887	120	0.666550887	120	5)
("1 1/8 Gas"	"G"	37.9	2.309	37.9	34.94	0.666550887	120	0.666550887	120	5)
("1 1/4 Gas"	"G"	41.91	2.309	41.91	38.95	0.666550887	120	0.666550887	120	5)
("1 3/8 Gas"	"G"	44.32	2.309	44.32	41.37	0.666550887	120	0.666550887	120	5)
("1 1/2 Gas"	"G"	47.8	2.309	47.8	44.85	0.666550887	120	0.666550887	120	5)
("1 3/4 Gas"	"G"	53.75	2.309	53.75	50.79	0.666550887	120	0.666550887	120	5)
("2 Gas"	"G"	59.61	2.309	59.61	56.66	0.666550887	120	0.666550887	120	5)
("2 1/4 Gas"	"G"	65.71	2.309	65.71	62.75	0.666550887	120	0.666550887	120	5)
("2 3/8 Gas"	"G"	69.4	2.309	69.4	66.44	0.666550887	120	0.666550887	120	5)
("2 1/2 Gas"	"G"	75.18	2.309	75.18	72.23	0.666550887	120	0.666550887	120	5)
("2 3/4 Gas"	"G"	81.53	2.309	81.53	78.57	0.666550887	120	0.666550887	120	5)
("3 Gas"	"G"	87.88	2.309	87.88	84.93	0.666550887	120	0.666550887	120	5)
("3 1/4 Gas"	"G"	93.98	2.309	93.98	91.02	0.666550887	120	0.666550887	120	5)
("3 1/2 Gas"	"G"	100.33	2.309	100.33	97.37	0.666550887	120	0.666550887	120	5)
("3 3/4 Gas"	"G"	106.68	2.309	106.68	103.72	0.666550887	120	0.666550887	120	5)
("4 Gas"	"G"	113.03	2.309	113.03	110.07	0.666550887	120	0.666550887	120	5)
("4 1/2 Gas"	"G"	125.73	2.309	125.73	122.77	0.666550887	120	0.666550887	120	5)
("5 Gas"	"G"	138.43	2.309	138.43	135.47	0.666550887	120	0.666550887	120	5)
("5 1/2 Gas"	"G"	151.13	2.309	151.13	148.17	0.666550887	120	0.666550887	120	5)
("6 Gas"	"G"	163.83	2.309	163.83	160.87	0.666550887	120	0.666550887	120	5)


)
)

(sd-create-logical-table "mach_adv_library-tappedholes-thread_dia-table"

		:columns '( :description :tap_units :thread_dia :thread_size :nominal_pipe_dia :drill_dia :chamfer_depth :chamfer_angle :back_chamfer_depth :back_chamfer_angle :tap_depth )
		:columnNames '( "Filetto" "Tap Units"  "Diametro filettatura" "Passo filettatura" "Diametro nominale filetto" "Diametro preforo" "Profondita' smusso"  "Angolo smusso" "Profondita' smusso post" "Angolo smusso post" "Profondita' filetto" )
		:types '(:string :string  :number :number :number :number :number :angle :number :angle :number )
		:units '(nil nil :mm :nil :mm :mm :mm :deg :mm  :deg :mm )
		:contents '(
					
("M1.8"	"metric"	1.8	0.35	1.8	1.45	0.101036297	120	0.101036297	120	5)
("M2"	"metric"	2	0.4	2	1.6	0.115470054	120	0.115470054	120	5)
("M2.2"	"metric"	2.2	0.45	2.2	1.75	0.129903811	120	0.129903811	120	5)
("M2.5"	"metric"	2.5	0.45	2.5	2.05	0.129903811	120	0.129903811	120	5)
("M2.5x0.35"	"metric"	2.5	0.35	2.5	2.15	0.101036297	120	0.101036297	120	5)
("M3"	"metric"	3	0.5	3	2.5	0.144337568	120	0.144337568	120	5)
("M3x0.35"	"metric"	3	0.35	3	2.65	0.101036297	120	0.101036297	120	5)
("M3.5"	"metric"	3.5	0.6	3.5	2.9	0.173205081	120	0.173205081	120	5)
("M3.5x0.35"	"metric"	3.5	0.35	3.5	3.15	0.101036297	120	0.101036297	120	5)
("M4"	"metric"	4	0.7	4	3.3	0.202072595	120	0.202072595	120	5)
("M4x0.5"	"metric"	4	0.5	4	3.5	0.144337568	120	0.144337568	120	5)
("M4.5"	"metric"	4.5	0.75	4.5	3.75	0.216506351	120	0.216506351	120	5)
("M4.5x0.5"	"metric"	4.5	0.5	4.5	4	0.144337568	120	0.144337568	120	5)
("M5"	"metric"	5	0.8	5	4.2	0.230940108	120	0.230940108	120	5)
("M5x0.5"	"metric"	5	0.5	5	4.5	0.144337568	120	0.144337568	120	5)
("M6"	"metric"	6	1	6	5	0.288675135	120	0.288675135	120	5)
("M6x0.75"	"metric"	6	0.75	6	5.25	0.216506351	120	0.216506351	120	5)
("M7"	"metric"	7	1	7	6	0.288675135	120	0.288675135	120	5)
("M7x0.75"	"metric"	7	0.75	7	6.25	0.216506351	120	0.216506351	120	5)
("M8"	"metric"	8	1.25	8	6.75	0.360843919	120	0.360843919	120	5)
("M8x1"	"metric"	8	1	8	7	0.288675135	120	0.288675135	120	5)
("M9"	"metric"	9	1.25	9	7.75	0.360843919	120	0.360843919	120	5)
("M10"	"metric"	10	1.5	10	8.5	0.433012703	120	0.433012703	120	5)
("M10x1.25"	"metric"	10	1.25	10	8.8	0.360843919	120	0.360843919	120	5)
("M11"	"metric"	11	1.5	11	9.5	0.433012703	120	0.433012703	120	5)
("M12"	"metric"	12	1.75	12	10.25	0.505181486	120	0.505181486	120	5)
("M12x1.25"	"metric"	12	1.25	12	10.8	0.360843919	120	0.360843919	120	5)
("M14"	"metric"	14	2	14	12	0.57735027	120	0.57735027	120	5)
("M14x1.5"	"metric"	14	1.5	14	12.5	0.433012703	120	0.433012703	120	5)
("M16"	"metric"	16	2	16	14	0.57735027	120	0.57735027	120	5)
("M16x1.5"	"metric"	16	1.5	16	14.5	0.433012703	120	0.433012703	120	5)
("M18"	"metric"	18	2.5	18	15.5	0.721687838	120	0.721687838	120	5)
("M18x1.5"	"metric"	18	1.5	18	16.5	0.433012703	120	0.433012703	120	5)
("M20"	"metric"	20	2.5	20	17.5	0.721687838	120	0.721687838	120	5)
("M20x1.5"	"metric"	20	1.5	20	18.5	0.433012703	120	0.433012703	120	5)
("M22"	"metric"	22	2.5	22	19.5	0.721687838	120	0.721687838	120	5)
("M22x1.5"	"metric"	22	1.5	22	20.5	0.433012703	120	0.433012703	120	5)
("M24"	"metric"	24	3	24	21	0.866025405	120	0.866025405	120	5)
("M24x2"	"metric"	24	2	24	22	0.57735027	120	0.57735027	120	5)
("M27"	"metric"	27	3	27	24	0.866025405	120	0.866025405	120	5)
("M27x2"	"metric"	27	2	27	25	0.57735027	120	0.57735027	120	5)
("M30"	"metric"	30	3.5	30	26.5	1.010362973	120	1.010362973	120	5)
("M30x2"	"metric"	30	2	30	28	0.57735027	120	0.57735027	120	5)
("M33"	"metric"	33	3.5	33	29.5	1.010362973	120	1.010362973	120	5)
("M33x2"	"metric"	33	2	33	31	0.57735027	120	0.57735027	120	5)
("M36"	"metric"	36	4	36	32	1.15470054	120	1.15470054	120	5)
("M36x3"	"metric"	36	3	36	33	0.866025405	120	0.866025405	120	5)
("M39"	"metric"	39	4	39	35	1.15470054	120	1.15470054	120	5)
("M39x3"	"metric"	39	3	39	36	0.866025405	120	0.866025405	120	5)
("M42"	"metric"	42	4.5	42	37.5	1.299038108	120	1.299038108	120	5)
("M42x3"	"metric"	42	3	42	39	0.866025405	120	0.866025405	120	5)
("M45"	"metric"	45	4.5	45	40.5	1.299038108	120	1.299038108	120	5)
("M45x3"	"metric"	45	3	45	42	0.866025405	120	0.866025405	120	5)
("M48"	"metric"	48	5	48	43	1.443375675	120	1.443375675	120	5)
("M48x3"	"metric"	48	3	48	45	0.866025405	120	0.866025405	120	5)
("M52"	"metric"	52	5	52	47	1.443375675	120	1.443375675	120	5)
("M52x3"	"metric"	52	3	52	49	0.866025405	120	0.866025405	120	5)
("M56"	"metric"	56	5.5	56	50.5	1.587713243	120	1.587713243	120	5)
("M60"	"metric"	60	5.5	60	54.5	1.587713243	120	1.587713243	120	5)
("M64"	"metric"	64	6	64	58	1.73205081	120	1.73205081	120	5)
("M68"	"metric"	68	6	68	62	1.73205081	120	1.73205081	120	5)
										
										
("1/8 Gas"	"G"	9.73	0.907	9.73	8.57	0.261828347	120	0.261828347	120	5)
("1/4 Gas"	"G"	13.16	1.337	13.16	11.45	0.385958655	120	0.385958655	120	5)
("3/8 Gas"	"G"	16.66	1.337	16.66	14.95	0.385958655	120	0.385958655	120	5)
("1/2 Gas"	"G"	20.96	1.814	20.96	18.63	0.523656695	120	0.523656695	120	5)
("5/8 Gas"	"G"	22.91	1.814	22.91	20.59	0.523656695	120	0.523656695	120	5)
("3/4 Gas"	"G"	26.44	1.814	26.44	24.12	0.523656695	120	0.523656695	120	5)
("7/8 Gas"	"G"	30.2	1.814	30.2	27.88	0.523656695	120	0.523656695	120	5)
("1 Gas"	"G"	33.25	2.309	33.25	30.29	0.666550887	120	0.666550887	120	5)
("1 1/8 Gas"	"G"	37.9	2.309	37.9	34.94	0.666550887	120	0.666550887	120	5)
("1 1/4 Gas"	"G"	41.91	2.309	41.91	38.95	0.666550887	120	0.666550887	120	5)
("1 3/8 Gas"	"G"	44.32	2.309	44.32	41.37	0.666550887	120	0.666550887	120	5)
("1 1/2 Gas"	"G"	47.8	2.309	47.8	44.85	0.666550887	120	0.666550887	120	5)
("1 3/4 Gas"	"G"	53.75	2.309	53.75	50.79	0.666550887	120	0.666550887	120	5)
("2 Gas"	"G"	59.61	2.309	59.61	56.66	0.666550887	120	0.666550887	120	5)
("2 1/4 Gas"	"G"	65.71	2.309	65.71	62.75	0.666550887	120	0.666550887	120	5)
("2 3/8 Gas"	"G"	69.4	2.309	69.4	66.44	0.666550887	120	0.666550887	120	5)
("2 1/2 Gas"	"G"	75.18	2.309	75.18	72.23	0.666550887	120	0.666550887	120	5)
("2 3/4 Gas"	"G"	81.53	2.309	81.53	78.57	0.666550887	120	0.666550887	120	5)
("3 Gas"	"G"	87.88	2.309	87.88	84.93	0.666550887	120	0.666550887	120	5)
("3 1/4 Gas"	"G"	93.98	2.309	93.98	91.02	0.666550887	120	0.666550887	120	5)
("3 1/2 Gas"	"G"	100.33	2.309	100.33	97.37	0.666550887	120	0.666550887	120	5)
("3 3/4 Gas"	"G"	106.68	2.309	106.68	103.72	0.666550887	120	0.666550887	120	5)
("4 Gas"	"G"	113.03	2.309	113.03	110.07	0.666550887	120	0.666550887	120	5)
("4 1/2 Gas"	"G"	125.73	2.309	125.73	122.77	0.666550887	120	0.666550887	120	5)
("5 Gas"	"G"	138.43	2.309	138.43	135.47	0.666550887	120	0.666550887	120	5)
("5 1/2 Gas"	"G"	151.13	2.309	151.13	148.17	0.666550887	120	0.666550887	120	5)
("6 Gas"	"G"	163.83	2.309	163.83	160.87	0.666550887	120	0.666550887	120	5)


)
)


;;Creazione tabelle di visulaizzazione personalizzate

(sd-create-display-table "mach_adv_library-tappedholes-tap-table"

		:tableTitle 	"Fori Filettati"
		:logicalTable   "mach_adv_library-tappedholes-tap-table"
		:columns 	'( :description :thread_dia :thread_size :nominal_pipe_dia :drill_dia :chamfer_depth :chamfer_angle :back_chamfer_depth :back_chamfer_angle)
		:applyColumns   '(:thread_dia :thread_size :nominal_pipe_dia :drill_dia :chamfer_depth :chamfer_angle :back_chamfer_depth :back_chamfer_angle)
               	:selectionMode	:single-row
		:applyAction 	:default-tokens

)


(sd-create-display-table "mach_adv_library-tappedholes-thread_dia-table"

		:tableTitle 	"Fori Filettati"
		:logicalTable   "mach_adv_library-tappedholes-thread_dia-table"
		:columns 	'( :description :thread_dia :thread_size :nominal_pipe_dia :drill_dia :chamfer_depth :chamfer_angle :back_chamfer_depth :back_chamfer_angle)
		:applyColumns   '(:thread_dia :thread_size :nominal_pipe_dia :drill_dia :chamfer_depth :chamfer_angle :back_chamfer_depth :back_chamfer_angle)
		:selectionMode	:single-row
		:applyAction 	:default-tokens

)


(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_partially_threaded_throughhole" :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_threaded_throughhole" :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_partially_threaded_blindhole" :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_countersunk_partially_toleranced_throughhole" :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_countersunk_throughhole" :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_counterbored_throughhole" :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_counterbored_throughhole_with_chamfer"  :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_flat_blindhole" :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_countersunk_partially_toleranced_flat_blindhole"  :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_countersunk_partially_toleranced_blindhole"  :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_countersunk_flat_blindhole"  :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_countersunk_blindhole"  :feature_flagstring "")

(MACHADV_SET_FEATURE_FLAG_TEXT :feature_type "mach_adv_library_blindhole"  :feature_flagstring "")





