
;********************************************************************************************
;****************Descrizione:Disegna poligoni sul piano di lavoro corrente*******************
;****************Author:Andrea Boerio-Fasti Industriale S.p.A.*******************************
;****************Creato:May2001**************************************************************
;****************Language:Common Lisp********************************************************
;********************************************************************************************

(sd-defdialog 'poligoni
	:dialog-title "Poligoni"
	:variables
		'((WP 
			:value-type :wp 
			:title "Piano Lavoro" 
			:prompt-text "Identifica il Piano di lavoro" 
			:initial-value (sd-inq-curr-wp)) 
		(n_lati
			:value-type :positive-integer
			:title "Numero Lati"
			:prompt-text "Inserisci numero lati poligono"
			:initial-value 6)
		(punto
			:value-type :point-2d
			:title "Centro"
			:prompt-text "Clicca punto centro poligono"
			:intial-value 0,0)
		(raggio
			:value-type :positive-number
			:title "Raggio"
			:prompt-text "Inserisci raggio per cerchio circoscritto o inscritto"
			:initial-value 10)
		(angolo
			:value-type :number
			:title "Angolo Iniz."
			:prompt-text "Inserisci angolo per vertice iniziale"
			:initial-value 0)
		(ic
			:range((1 :label "Interno")
					(2 :label "Esterno"))
			:title "Tipo Cerchio"
			:initial-value 2))
		:ok-action
			'(sd-call-cmds 
				(progn (current_wp wp)		
			
					(setq teta (sd-deg-to-rad angolo))
					(if (equal ic 2) (setq raggiocirc (sqrt(+ (* raggio raggio) (*(* raggio (tan (/ pi n_lati)))(* raggio(tan(/ pi n_lati)))))))
							 			(setq raggiocirc raggio))
			
					(dotimes (contatore n_lati)
					 	
							(setq xpuntouno (+ (* raggiocirc (cos (+ teta (* (- contatore 1) (/(* 2 pi) n_lati))))) (gpnt2d_x punto)))
							(setq ypuntouno (+ (* raggiocirc (sin (+ teta (* (- contatore 1) (/(* 2 pi) n_lati))))) (gpnt2d_y punto)))
							(setq xpuntodue (+ (* raggiocirc (cos (+ teta (* contatore (/(* 2 pi) n_lati))))) (gpnt2d_x punto)))
							(setq ypuntodue (+ (* raggiocirc (sin (+ teta (* contatore (/(* 2 pi) n_lati))))) (gpnt2d_y punto)))
							(line :two_points (make-gpnt2d :x xpuntouno :y ypuntouno) (make-gpnt2d :x xpuntodue :y ypuntodue)) 
						
					)
				)
			)
)




